Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sgtts2

    java.lang.Object
      org.netlib.lapack.Sgtts2

    public class Sgtts2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGTTS2 solves one of the systems of equations
     *     A*X = B  or  A'*X = B,
     *  with a tridiagonal matrix A using the LU factorization computed
     *  by SGTTRF.
     *
     *  Arguments
     *  =========
     *
     *  ITRANS  (input) INTEGER
     *          Specifies the form of the system of equations.
     *          = 0:  A * X = B  (No transpose)
     *          = 1:  A'* X = B  (Transpose)
     *          = 2:  A'* X = B  (Conjugate transpose = Transpose)
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  DL      (input) REAL array, dimension (N-1)
     *          The (n-1) multipliers that define the matrix L from the
     *          LU factorization of A.
     *
     *  D       (input) REAL array, dimension (N)
     *          The n diagonal elements of the upper triangular matrix U from
     *          the LU factorization of A.
     *
     *  DU      (input) REAL array, dimension (N-1)
     *          The (n-1) elements of the first super-diagonal of U.
     *
     *  DU2     (input) REAL array, dimension (N-2)
     *          The (n-2) elements of the second super-diagonal of U.
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          The pivot indices; for 1 <= i <= n, row i of the matrix was
     *          interchanged with row IPIV(i).  IPIV(i) will always be either
     *          i or i+1; IPIV(i) = i indicates a row interchange was not
     *          required.
     *
     *  B       (input/output) REAL array, dimension (LDB,NRHS)
     *          On entry, the matrix of right hand side vectors B.
     *          On exit, B is overwritten by the solution vectors X.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Sgtts2()`

Method Summary
`static void` | `sgtts2(int itrans, int n, int nrhs, float[] dl, int _dl_offset, float[] d, int _d_offset, float[] du, int _du_offset, float[] du2, int _du2_offset, int[] ipiv, int _ipiv_offset, float[] b, int _b_offset, int ldb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sgtts2

    public Sgtts2()

Method Detail

### sgtts2

    public static void sgtts2(int itrans,
                              int n,
                              int nrhs,
                              float[] dl,
                              int _dl_offset,
                              float[] d,
                              int _d_offset,
                              float[] du,
                              int _du_offset,
                              float[] du2,
                              int _du2_offset,
                              int[] ipiv,
                              int _ipiv_offset,
                              float[] b,
                              int _b_offset,
                              int ldb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD